Pepvote Support Center

Votes

Read eligible individual vote records.

Endpoints

MethodPathScopeDescription
GET/voting-events/:idOrCode/votesreadList individual vote records.

Query parameters

NameTypeRequiredDescription
limitintegerNoPage size from 1 to 200. Default: 50.
cursorstringNoCursor from nextCursor.
confirmationCodestringNoFilter by confirmation code.
fromCountrystringNoFilter by country.

This endpoint requires a paid plan with canExportData and the view_votes_and_results role. Pepvote returns an authorization or plan error when either requirement is not met.

Example

curl "https://api.pepvote.com/voting-events/BOARD26/votes?limit=50&confirmationCode=AB12CD" \
  -H "Authorization: Bearer $PEPVOTE_API_KEY" -H "User-Agent: my-app/1.0"
{
  "data": [
    {
      "id": "j57vote01",
      "votingEventId": "j57event01",
      "positionId": "j57position01",
      "positionTitle": "Board chair",
      "candidateId": "j57candidate01",
      "candidateName": "Amina Bello",
      "confirmationCode": "AB12CD",
      "confirmed": true,
      "confirmedAt": 1777086000000,
      "channel": "web",
      "confirmedVia": "email",
      "value": 1,
      "rank": null,
      "weight": null,
      "quadraticCreditCost": null,
      "votingCenterId": null,
      "fromCountry": "CA",
      "createdAt": 1777085900000
    }
  ],
  "nextCursor": null
}
Was this helpful?

Last updated September 6, 2026

On this page